/*
 * @Description: file content
 * @Author: Ben Lin
 * @version:
 * @Date: 2024-06-18 15:09:48
 * @LastEditors: Ben Lin
 * @LastEditTime: 2024-07-17 11:12:34
 */
import { BasicColumn, FormSchema } from '/@/components/Table';

//列表显示
export const dtlColumns: BasicColumn[] = [
  {
    title: '字段名',
    dataIndex: 'FieldName',
    ifShow: false,
    width: 180,
  },
];

/**
 * @description: 查询字段结构
 * @return {*}
 */
export const newFormSchema: FormSchema[] = [
  {
    field: 'ASSEMBLY_NAME',
    label: '实体类名',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: '00',
    component: 'Input',
    label: '1',
    colSlot: 'add',
    colProps: {
      span: 2,
    },
  },
  {
    field: '0',
    component: 'Input',
    label: '1',
    colSlot: 'condAdd',
    colProps: {
      span: 4,
    },
  },
  {
    field: 'IsSearch',
    label: '是否查询',
    component: 'Select',
    defaultValue: 'Y',
    colProps: { span: 8 },
    componentProps: ({ schema, tableAction, formActionType, formModel }) => {
      return {
        options: [
          {
            label: '是',
            value: 'Y',
          },
          {
            label: '否',
            value: 'N',
          },
        ],
        onChange: (e) => {
            
        },
      };
    },
  },
];

/**
 * @description: 增删改字段结构
 * @return {*}
 */
export const crudSchemas: FormSchema[] = [
  {
    field: 'crudAssemblyName',
    label: '实体类名',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: '00',
    component: 'Input',
    label: '1',
    colSlot: 'add',
    colProps: {
      span: 2,
    },
  },
  {
    field: '0',
    component: 'Input',
    label: '1',
    colSlot: 'crudCondAdd',
    colProps: {
      span: 10,
    },
  },
];

/**
 * @description: 表格字段结构
 * @return {*}
 */
export const mainSchemas: FormSchema[] = [
  {
    field: 'MainAssemblyName',
    label: '实体类名',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: '00',
    component: 'Input',
    label: '1',
    colSlot: 'add',
    colProps: {
      span: 2,
    },
  },
  {
    field: 'BY_ORG',
    label: '是否按组织查询',
    component: 'Select',
    defaultValue: 'N',
    colProps: { span: 4 },
    componentProps: {
      options: [
        {
          label: '是',
          value: 'Y',
        },
        {
          label: '否',
          value: 'N',
        },
      ],
    },
  },
  {
    field: 'BY_PROD',
    label: '是否按工厂查询',
    component: 'Select',
    defaultValue: 'N',
    colProps: { span: 4 },
    componentProps: {
      options: [
        {
          label: '是',
          value: 'Y',
        },
        {
          label: '否',
          value: 'N',
        },
      ],
    },
  },
  {
    field: 'BY_WH',
    label: '是否按仓库查询',
    component: 'Select',
    defaultValue: 'N',
    colProps: { span: 4 },
    componentProps: {
      options: [
        {
          label: '是',
          value: 'Y',
        },
        {
          label: '否',
          value: 'N',
        },
      ],
    },
  },
  {
    field: '0',
    component: 'Input',
    label: '1',
    colSlot: 'mainCondAdd',
    colProps: {
      span: 2,
    },
  },
];
